#################################
# reading startup file
#
proc ttb_readStartup {} {
	global ttblibPath ttblogo ttbx ttby ttbTerm stageColor panelColor hlColor mlColor
	global ttbsendList ttbbookmarkList

	if [file exists ~/GNUstep/Library/JunsSTEP/ttbinitrc] {
		set ttbrc [open ~/GNUstep/Library/JunsSTEP/ttbinitrc r]
		set line [split [gets $ttbrc]]

		while {![eof $ttbrc]} {
			switch [lindex $line 0] {
				ttblibPath {
					set ttblibPath [lindex $line 1]
				}
				ttblogo {
					set ttblogo [lindex $line 1]
				}
				ttbx {
					set ttbx [lindex $line 1]
				}
				ttby {
					set ttby [lindex $line 1]
				}
				ttbTerm {
					set ttbTerm [lindex $line 1]
				}
				ttbbg {
					set stageColor [lindex $line 1]
				}
				ttbfg {
					set panelColor [lindex $line 1]
				}
				ttbMidlight {
					set mlColor [lindex $line 1]
				}
				ttbHighlight {
					set hlColor [lindex $line 1]
				}
			}
	        set line [split [gets $ttbrc]]
		}
		close $ttbrc

		if [file exists $ttblibPath/ttb.send] {
			set ttbsend [open $ttblibPath/ttb.send r]

			while {![eof $ttbsend]} {
				catch {set ttbsendList [concat $ttbsendList $line]}
				set line [split [gets $ttbsend]]
			}
		}

		if [file exists $ttblibPath/ttb.bookmark] {
			set ttbbookmark [open $ttblibPath/ttb.bookmark r]

			while {![eof $ttbbookmark]} {
				catch {set ttbbookmarkList [concat $ttbbookmarkList $line]}
				set line [split [gets $ttbbookmark]]
			}
		}
	} else {
		source ../Library/functions/ttb_installer.tcl
		ttb_install
		ttb_readStartup
	}
}

