################################################
#
# Installer
#

proc sub_install {} {
	global lock

	file mkdir ~/GNUstep/Library/

	file copy -force -- ../Library ~/GNUstep/Library/JunsSTEP
	set lock 1
}

proc ttb_install {} {
	global lock

	set lock 0

	frame .install -bd 10 -relief flat -width 480
	frame .install.spacer1 -height 16 -relief flat

	if {[file exists ../Library]} {
		label .install.title -font {Helvetica 18} -text \
			"Welcome to Jun's STEP TTB's world!"

		set num {1 2 3 4 5}

		label .install.message1 -font {Courier 14} -text \
			"This installer will install\n the library of Jun'sSTEP.\n"

		label .install.message2 -font {Courier 14} -text \
			"I'll make the directory named"

		label .install.message3 -font {Courier 14} -text \
			{"~/GNUstep/Library/JunsSTEP"}

		label .install.message4 -font {Courier 14} -text \
			"And copy ./JunsSTEP in there."

		label .install.message5 -font {Courier 14} -text \
			"Select ok to start installing."

		button .install.button -text "ok" -command "sub_install"

	} else {
		label .install.title -font {Helvetica 18} -text \
			"Installer executing failed."
		set num 1

		label .install.message1 -font {Courier 14} -text \
			"Please execute in same directory."

		button .install.button -text "ok" -command "exit"
	}

	pack .install -fill both
	pack .install.title .install.spacer1

	foreach i $num {
		pack .install.message$i
	}

	pack .install.button

	tkwait variable lock

	destroy .install
}

