#!/bin/sh
# the next line restarts using wish \
exec wishstep8.0 "$0" "$@"

proc ttb_about {} {

	ttb_dialog .about "about Muggy" \
		"Jun's STEP Text editor\nA tribute to Nakai Margalett Maki\nver 1.2\n\nJun Wakaya 1998."\
		jfLogo -32768 0 0 Ok

}

proc muggy_rootCreate {ttblibPath} {
	image create photo MuggyImage -file $ttblibPath/icons/app/Muggy.logo.gif
	image create photo jfLogo -file "$ttblibPath/icons/system/JFLOGO.gif"

	label .base -image MuggyImage -bd 0 

	pack .base -fill both
	pack propagate .base false
}

proc ttb_showPopup {mode x y fname} {
	global ttbsendList ttbbookmarkList filt

	if {[winfo exists .ttb_popup]} {
		destroy .ttb_popup
	}

	menu .ttb_popup -tearoff 0

	switch $mode {
		"top" {
#			.ttb_popup add command -label "about Muggy" -command ttb_about
			.ttb_popup add command -label "exit" -command ttb_exit
		}

	}
	tk_popup .ttb_popup $x $y
}


set appName Muggy
set ttblibPath $env(HOME)/GNUstep/Library/JunsSTEP
set ttblogo $ttblibPath/icons/system/JFLOGO.gif
set stageColor {}
set panelColor {}

source $ttblibPath/functions/ttb_dialog.tcl
source $ttblibPath/functions/ttbinit.tcl

muggy_rootCreate $ttblibPath
ttb_resize
ttb_bind

